Skip to navigation

Get event by ID

Retrieve a specific API event by ID.

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Path parameters

eventIdstringRequiredformat: "uuid"

Response

changedPathslist of strings
List of JSON paths that were modified in this event
idstringformat: "uuid"
mergePatchobject
JSON object containing the fields that were changed and their new values
occurredAtstringformat: "yyyy-mm-ddThh:MM:ssZ"
operationTypeenum
The type of operation that triggered an event.
Allowed values:
resourceIdstringformat: "uuid"
resourceTypeenum
The type of resource affected by an event.
resourceVersionlong>=1
previousValuesobject or nullOptional
JSON object containing the fields that were changed and their previous values before the update

Errors

404
Not Found Error